pawserv_20061220+dfsg3-4.4_amd64.deb


Advertisement

Description

pawserv - CERNLIB data analysis suite - distributed PAW and file transfer servers

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename pawserv_20061220+dfsg3-4.4_amd64.deb
Package name pawserv
Package version 20061220+dfsg3
Package release 4.4
Package architecture amd64
Package type deb
Category universe/net
Homepage http://cernlib.web.cern.ch/cernlib/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 39.91 KB
Installed size 165.00 KB
CERNLIB is a suite of data analysis tools and libraries created for
use in physics experiments, but also with applications to other
fields such as the biological sciences.
This package contains the server daemon for remote PAW clients. PAW
is the Physics Analysis Workstation, a graphical analysis program.
Included in the same binary is zserv, the server daemon for the ZFTP protocol;
zserv is a macro-extensible file transfer program which supports the
transfer of formatted, unformatted and ZEBRA RZ files (CMZ, HBOOK, etc.).
It is similar to a standard FTP daemon, although it listens on a different
port. Both servers operate through inetd.
Since these servers accept passwords in clear text and do not support SSL
or other encryption methods, you should probably only install this package
within a trusted LAN. It should be seen as equivalent to vanilla telnetd
in terms of security (or lack thereof).

Alternatives

Package Version Architecture Repository
pawserv_20061220+dfsg3-4.4_i386.deb 20061220+dfsg3 i386 Ubuntu Universe
pawserv - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
inet-superserver -
libc6 >= 2.14
libgfortran5 >= 8
libkernlib1-gfortran -
libpacklib1-gfortran -
netbase >= 4.08
openbsd-inetd -

Conflicts

Name Value
harden-servers -

Replaces

Name Value
zserv << 2003.08.21-1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pawserv_20061220+dfsg3-4.4_amd64.deb
Source Package cernlib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pawserv deb package:
    # sudo apt-get install pawserv

Files

Path
/etc/cron.hourly/pawserv
/etc/logrotate.d/pawserv
/usr/sbin/pawserv
/usr/sbin/zserv
/usr/share/doc/pawserv/NEWS.Debian.gz
/usr/share/doc/pawserv/README.Debian
/usr/share/doc/pawserv/changelog.Debian.gz
/usr/share/doc/pawserv/copyright
/usr/share/man/man8/pawserv.8.gz
/usr/share/man/man8/zserv.8.gz

Changelog

2019-02-16 - Gilles Filippini <pini@debian.org>
cernlib (20061220+dfsg3-4.4) unstable; urgency=medium
* Non-maintainer upload
* 126-fix-patchy-compile-flags.dpatch 304-update-Imake-config-files.dpatch:
fix these patches to apply optimization flag -O to fortran modules
instead of -O2 which generates broken code (closes: #922453; thanks to
Jacek M. Holeczek <jacek.m.holeczek@gmail.com>)
2017-01-06 - Gilles Filippini <pini@debian.org>
cernlib (20061220+dfsg3-4.3) unstable; urgency=medium
* Non-maintainer upload
* Build ypatchy with -no-pie (closes: #837657)
2015-06-12 - Wookey <wookey@debian.org>
cernlib (20061220+dfsg3-4.2) unstable; urgency=medium
* Non-maintainer upload.
* Suport arm64 (Closes: #766482)
2014-08-28 - Aurelien Jarno <aurel32@debian.org>
cernlib (20061220+dfsg3-4.1) unstable; urgency=medium
[ Aurelien Jarno ]
* Non-maintainer upload.
[ Mauricio Faria de Oliveira ]
* Fix 'debian/control.new' for GNU make 3.82+ (Closes: #720689)
Thanks Michael Tautschnig. New versions of GNU make don't 'sort' the output
of 'wildcard' anymore. This is reported in the following GNU make announce:
https://lists.gnu.org/archive/html/info-gnu/2010-07/msg00023.html
2013-08-24 - Lifeng Sun <lifongsun@gmail.com>
cernlib (20061220+dfsg3-4) unstable; urgency=low
* cernlib-base-dev: depends on dpkg-dev to fix Multiarch support.
2013-08-23 - Lifeng Sun <lifongsun@gmail.com>
cernlib (20061220+dfsg3-3) unstable; urgency=low
* Support multiarch.
* Set source format to 3.0 (quilt).
* Temporarily disable test-suite. (Closes: #701254, #713535)
* {cernlib-base-dev,libmathlib2,pawserv}: set priority to optional.
* Apply patchset manually rather than using obsolete dpatch.
* debian/control:
- bump Standards-Version to 3.9.4.
- remove obsolete dpatch from build-dep.
- remove obsolete DM-Upload-Allowed field.
- transition from lesstif2 to motif, we will rename packages in next
upload. (Closes: #717639)
- canonical VCS-* fields.
2011-08-04 - Lifeng Sun <lifongsun@gmail.com>
cernlib (20061220+dfsg3-2) unstable; urgency=low
* Add patch 138: Remove invalid declaration of the REPEAT function.
(Closes: #636565).
* Add Danish translation of the debconf templates.
Thanks to Joe Dalton <joedalton2@yahoo.dk>. (Closes: #621357)
* debian/debhelper: rename to debian/dh to make lintian happy.
* Bump Standards-Version to 3.9.2. No change needed.

See Also

Package Description
pax-britannica-data_1.0.0-3_all.deb data files for pax-britannica game
pax-britannica_1.0.0-3_amd64.deb one-button multi-player real-time strategy game
pax-utils_1.2.4-1_amd64.deb Security-focused ELF files checking tool
paxctl_0.9-1build1_amd64.deb new PaX control program for using the PT_PAX_FLAGS marking
paxctld_1.2.1-1_amd64.deb Daemon to automatically set appropriate PaX flags
paxtest_0.9.14-2_amd64.deb Test suite for the PaX kernel patch
pbalign-doc_0.3.2-1_all.deb documentation for pbalign
pbalign_0.3.2-1_all.deb map Pacific Biosciences reads to reference DNA sequences
pbbamtools_0.19.0+dfsg-4_amd64.deb processing Pacific Biosciences binary alignment/map files
pbbarcode_0.8.0-5_amd64.deb annotate PacBio sequencing reads with barcode information
pbdagcon_0.3+git20161121.0000000+ds-1.1_amd64.deb sequence consensus using directed acyclic graphs
pbgenomicconsensus_2.3.2-5_all.deb Pacific Biosciences variant and consensus caller
pbh5tools_0.8.0+git20170929.58d54ff+dfsg-1_all.deb tools for manipulating Pacific Biosciences HDF5 files
pbsim_1.0.3+git20180330.e014b1d+dfsg-1_amd64.deb simulator for PacBio sequencing reads
pbuilder-scripts_22_all.deb Wrapper scripts for pbuilder
Advertisement
Advertisement